#include<bits/stdc++.h>
using namespace std;
int a[1000][1000],n,m,k,x,y,boja;
int prvix,prviy,br;
bool prov,prov1;
int main()
{
    cin>>n>>m>>k;
    while(k--)
    {
        cin>>x>>y;
        a[x][y]=true;
    }
    cout<<"1"<<endl;
    return 0;
}